Bug 1747 - Unable to browse shares with SERVER mode after 3.0.2 to 3.0.6 upgrade
Unable to browse shares with SERVER mode after 3.0.2 to 3.0.6 upgrade
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.6
x86 Windows XP
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 14:07 UTC by Crispin Bivans
Modified: 2005-02-08 21:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Crispin Bivans 2004-09-10 14:07:24 UTC
Samba 3.0.2 was working great in SECURITY = SERVER mode with XP and Windows 2000
clients. After upgrading to 3.0.6 it became unable to allow access to any shares
in SECURITY = SERVER mode. The error on the clients when trying to connect would
be 'Requested operation is not supported'. There would be no errors in the
server logs. The server is a RedHat 3ES with all the latest patches.

Eventually the work-around was determined to be change the security mode to ADS
and join the domain and upgrade kerberos to match the version 3.0.6 expects.
Then everything worked again.

It'd be nice if the SERVER mode could be fixed.

Thanks.
Comment 1 Gerald (Jerry) Carter 2005-02-07 10:42:06 UTC
security = server has been deprecated.
Comment 2 Crispin Bivans 2005-02-07 12:03:28 UTC
(In reply to comment #1)
> security = server has been deprecated.

There is nothing in the Samba 3.0.x release Notes about deprecating that feature
and in fact has a couple of fixes mentioned for 'security = SERVER'. 

Please add notice about deprecating this feature to the release notes or else
fix the feature. 

Thanks.
Comment 3 Gerald (Jerry) Carter 2005-02-08 21:03:17 UTC
closing